/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package com.aliyun.batchcompute.job.logcount;


import java.io.*;

/**
 * Created by guangchun.luo on 16/3/2.
 */
public class Split {

    public static void main(String[] args) throws Exception{

        String INPUT= "/home/input";
        String OUTPUT = "/home/output";

        String inputPath = INPUT + "/log-count-data.txt";

        InputStream is = new FileInputStream(inputPath);
        BufferedReader br = new BufferedReader(new InputStreamReader(is));

        new File(OUTPUT+"/split_results/").mkdir();

        int c = 0;
        int num = 0;

        System.out.println(num);
        OutputStream os = new FileOutputStream(OUTPUT+"/split_results/"+num+".txt");
        BufferedWriter bw = new BufferedWriter(new OutputStreamWriter(os));

        String line = null;
        while ((line = br.readLine()) != null) {
            c++;
            if( c < 3500 ) {
                bw.write(line + '\n');
                bw.flush();
            }else{
                c=0;
                num++;

                bw.close();

                os = new FileOutputStream(OUTPUT+"/split_results/"+num+".txt");
                bw = new BufferedWriter(new OutputStreamWriter(os));

            }
        }

        bw.flush();
        os.close();
        bw.close();


        br.close();
        System.out.println("total: "+ (num+1));

        FileWriter fw = new FileWriter(OUTPUT+"/total.txt", false);
        fw.write((num+1)+"");
        fw.close();
    }


}
